Skip to content
View as Markdown

GET List SMS Campaigns​

GET
/sms/campaigns

Retrieve a paginated list of SMS campaigns. Supports filtering by status, search term, labels, and sorting. Optionally includes campaign statistics and labels. PRO (requires FluentCampaign Pro SMS module).

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

searchBy

Search campaigns by title.

Type
string
statuses[]

Filter by campaign statuses.

Type
array
sort_by

Column to sort by.

Type
string
Default
"id"
sort_type

Sort direction.

Type
string
Valid values
"ASC""DESC"
Default
"DESC"
with[]

Include related data. Use stats to include next step config and formatted labels.

Type
array
labels[]

Filter by label term IDs.

Type
array
per_page

Number of results per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Paginated list of SMS campaigns.

application/json
JSON
{
"campaigns": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"data": [
{
"id": 0,
"title": "string",
"message_content": "string",
"status": "string",
"type": "string",
"recipients_count": 0,
"scheduled_at": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string"
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI